<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: Experiment.hpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">Experiment.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="FileManager_8hpp_source.html">FileManager.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="StateManager_8hpp_source.html">StateManager.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="HardwareManager_8hpp_source.html">HardwareManager.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="DataLogger_8hpp_source.html">DataLogger.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="Factory_8hpp_source.html">Factory.hpp</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="Robot_8hpp_source.html">Robot.hpp</a>&quot;</code><br/>
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Experiment.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="Experiment_8hpp__incl.png" border="0" usemap="#Experiment_8hpp" alt=""/></div>
<map name="Experiment_8hpp" id="Experiment_8hpp">
<area shape="rect" id="node3" href="FileManager_8hpp.html" title="FileManager.hpp" alt="" coords="1119,83,1236,112"/><area shape="rect" id="node34" href="StateManager_8hpp.html" title="StateManager.hpp" alt="" coords="801,83,929,112"/><area shape="rect" id="node48" href="DataLogger_8hpp.html" title="DataLogger.hpp" alt="" coords="1215,160,1329,189"/><area shape="rect" id="node56" href="HardwareManager_8hpp.html" title="HardwareManager.hpp" alt="" coords="1676,83,1828,112"/><area shape="rect" id="node62" href="Factory_8hpp.html" title="Factory.hpp" alt="" coords="1004,83,1095,112"/><area shape="rect" id="node71" href="Robot_8hpp.html" title="Robot.hpp" alt="" coords="511,83,593,112"/><area shape="rect" id="node5" href="parms_8hpp.html" title="parms.hpp" alt="" coords="1404,160,1487,189"/><area shape="rect" id="node36" href="MeasurementState_8hpp.html" title="MeasurementState.hpp" alt="" coords="737,160,895,189"/><area shape="rect" id="node40" href="Timer_8hpp.html" title="Timer.hpp" alt="" coords="761,237,841,267"/><area shape="rect" id="node74" href="ForceMeasurement_8hpp.html" title="ForceMeasurement.hpp" alt="" coords="308,160,465,189"/><area shape="rect" id="node97" href="ActuatorAxis_8hpp.html" title="ActuatorAxis.hpp" alt="" coords="540,160,663,189"/><area shape="rect" id="node76" href="ADCard_8hpp.html" title="ADCard.hpp" alt="" coords="429,237,523,267"/><area shape="rect" id="node95" href="ForceSensor_8hpp.html" title="ForceSensor.hpp" alt="" coords="285,237,405,267"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="Experiment_8hpp__dep__incl.png" border="0" usemap="#Experiment_8hppdep" alt=""/></div>
<map name="Experiment_8hppdep" id="Experiment_8hppdep">
<area shape="rect" id="node3" href="Experiment_8cpp.html" title="Experiment.cpp" alt="" coords="5,83,117,112"/><area shape="rect" id="node5" href="HardwareManager_8cpp.html" title="HardwareManager.cpp" alt="" coords="141,83,293,112"/><area shape="rect" id="node7" href="Robot_8cpp.html" title="Robot.cpp" alt="" coords="317,83,400,112"/><area shape="rect" id="node9" href="StateManager_8cpp.html" title="StateManager.cpp" alt="" coords="424,83,552,112"/></map>
</div>
</div>
<p><a href="Experiment_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classExperiment.html">Experiment</a></td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
